Show / Hide Table of Contents

# Class OpenIddictServerEvents.HandleUserinfoRequestContext

Represents an event called for each validated userinfo request to allow the user code to decide how the request should be handled.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.HandleUserinfoRequestContext

##### Inherited Members

OpenIddictServerEvents.BaseValidatingContext.IsRejected
OpenIddictServerEvents.BaseValidatingContext.Error
OpenIddictServerEvents.BaseValidatingContext.ErrorDescription
OpenIddictServerEvents.BaseValidatingContext.ErrorUri
OpenIddictServerEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class HandleUserinfoRequestContext : OpenIddictServerEvents.BaseValidatingContext

### Constructors

#### HandleUserinfoRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.HandleUserinfoRequestContext class.

##### Declaration

    public HandleUserinfoRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Address

Gets or sets the value used for the "address" claim. Note: this value should only be populated if the "address" scope was requested and accepted by the resource owner.

##### Declaration

    public JsonElement Address { get; set; }

##### Property Value

Type | Description
--- | ---
JsonElement |

#### Audiences

Gets or sets the values used for the "aud" claim.

##### Declaration

    public HashSet<string> Audiences { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### BirthDate

Gets or sets the value used for the "birthdate" claim. Note: this value should only be populated if the "profile" scope was requested and accepted by the resource owner.

##### Declaration

    public string BirthDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Claims

Gets the additional claims returned to the client application.

##### Declaration

    public IDictionary<string, OpenIddictParameter> Claims { get; }

##### Property Value

Type | Description
--- | ---
IDictionary<System.String, OpenIddictParameter> |

#### Email

Gets or sets the value used for the "email" claim. Note: this value should only be populated if the "email" scope was requested and accepted by the resource owner.

##### Declaration

    public string Email { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### EmailVerified

Gets or sets the value used for the "email_verified" claim. Note: this value should only be populated if the "email" scope was requested and accepted by the resource owner.

##### Declaration

    public bool? EmailVerified { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

#### FamilyName

Gets or sets the value used for the "family_name" claim. Note: this value should only be populated if the "profile" scope was requested and accepted by the resource owner.

##### Declaration

    public string FamilyName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### GivenName

Gets or sets the value used for the "given_name" claim. Note: this value should only be populated if the "profile" scope was requested and accepted by the resource owner.

##### Declaration

    public string GivenName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### PhoneNumber

Gets or sets the value used for the "phone_number" claim. Note: this value should only be populated if the "phone" scope was requested and accepted by the resource owner.

##### Declaration

    public string PhoneNumber { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### PhoneNumberVerified

Gets or sets the value used for the "phone_number_verified" claim. Note: this value should only be populated if the "phone" scope was requested and accepted by the resource owner.

##### Declaration

    public bool? PhoneNumberVerified { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

#### PreferredUsername

Gets or sets the value used for the "preferred_username" claim. Note: this value should only be populated if the "profile" scope was requested and accepted by the resource owner.

##### Declaration

    public string PreferredUsername { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Principal

Gets or sets the security principal extracted from the access token.

##### Declaration

    public ClaimsPrincipal? Principal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### Profile

Gets or sets the value used for the "profile" claim. Note: this value should only be populated if the "profile" scope was requested and accepted by the resource owner.

##### Declaration

    public string Profile { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

#### Subject

Gets or sets the unique value used for the mandatory "sub" claim.

##### Declaration

    public string Subject { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Website

Gets or sets the value used for the "website" claim. Note: this value should only be populated if the "profile" scope was requested and accepted by the resource owner.

##### Declaration

    public string Website { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |